{*
 * 2021 Floa BANK
 *
 * THE MIT LICENSE
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated
 * documentation files (the "Software"), to deal in the Software without restriction, including without limitation
 * the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and
 * to permit persons to whom the Software is furnished to do so, subject to the following conditions:
 * The above copyright notice and this permission notice shall be included in all copies or substantial portions of the
 * Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
 * WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF
 * CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS
 * IN THE SOFTWARE.
 *
 * @author    FLOA Bank
 * @copyright 2021 FLOA Bank
 * @license   https://opensource.org/licenses/MIT The MIT License
 *}
 
 {if $arraysOption}
    {foreach from=$arraysOption item=paymentOption}
        <div class="row">
            <div class="col-xs-12">
                <p class="payment_module">
                    <a class="payment_floa" data-id="{$paymentOption.method|escape:'htmlall':'UTF-8'}">
                        <img width="100" src="{$paymentOption.modulePath|escape:'htmlall':'UTF-8'}views/img/logos/floa_{$paymentOption.method|escape:'htmlall':'UTF-8'}.png" />
                        {$paymentOption.callToActionText|escape:'htmlall':'UTF-8'}
                    </a>
                </p>
            </div>
        </div>
        <div style="display: none;" class="payment_popup_{$paymentOption.method|escape:'htmlall':'UTF-8'}">
              {include file="../hook/displayPaymentEligibility.tpl"}
        </div>
    {/foreach}
{/if}
<script type="text/javascript">
    var _CIVILITY_SCORE_INVALID_ = "{l s='Civility is invalid.' mod='floapay'}";
    var _DDN_SCORE_INVALID_ = "{l s='Birth date is invalid.' mod='floapay'}";
    var _NIF_SCORE_INVALID_ = "{l s='NIF is invalid.' mod='floapay'}";
    var _DDN_SCORE_MAJOR_INVALID_ = "{l s='You must be over 18 years old.' mod='floapay'}";
    var _MAIDEN_SCORE_INVALID_ = "{l s='Maiden name is invalid.' mod='floapay'}";
    var _SECOND_LAST_NAME_INVALID_ = "{l s='Second lastname is invalid.' mod='floapay'}";
    var _PHONE_SCORE_INVALID_ = "{l s='Phone number is invalid.' mod='floapay'}";
    var _CP_SCORE_INVALID_ = "{l s='Postal code is invalid.'  mod='floapay'}";
    var _PAYMENT_DATE_SCORE_INVALID_ = "{l s='Payment date is invalid.'  mod='floapay'}";
    var _ERROR_OCCURED_ = "{l s='An error has occured, please try again in a few moments...'  mod='floapay'}";
    var _FLOA_COUNTRY_CONTEXT_ = '{$paymentOption.paymentCountryCode|escape:'htmlall':'UTF-8'}';
</script>
